Scripte funktionieren nicht

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Firefox-Version
    81.0
    Betriebssystem
    win 10

    Hi allerseits,


    Ausgangslage: Ich habe auf dem Desktop meinen FF 68.12.0 ESR upgedatet auf 81.0 - kein ESR - (also drüberinstalliert)

    Aus meinem LT mit funktionierender Version 81.0 habe ich den Chrome-Ordner kopiert und ihn gegen den in der Desktop-Version ausgetauscht. Leider funktionieren hier aber die Scripte nicht. Liegt es vielleicht an einer generellen Einstellung? Bei der ESR-Version funktionierte eigentlich auch alles.

    Ich fange mal mit dem 1. Script an:


    - Tabs runter.uc.js

    Code
    /* Tabs runter.uc.js */
    
    
    (function(){
    var tabbar = document.getElementById("TabsToolbar");
    tabbar.parentNode.parentNode.appendChild(tabbar);
    })()

    Gruß
    graubaer


    *** Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. *** (Benjamin Franklin)

    Einmal editiert, zuletzt von graubaer ()

  • Hast du denn danach überprüft, ob die mal gemachten Vorbereitungen für Scripte im Installationsordner noch vorhanden sind?

    Ist alles noch vorhanden.

    Alle Scripte funktionieren übrigens nicht, Statusleiste, Tab-hover etc.

    Gruß
    graubaer


    *** Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. *** (Benjamin Franklin)

  • Alle Scripte funktionieren übrigens nicht

    Also funktionieren Scripte im Grunde schon bei dir, nur einige nicht?


    Statusleiste:


    Was meinst du mit Tab.Hover?

  • Alle Scripte funktionieren nicht. Mein Script für die Statusleiste entspricht genau deinem.


    Und das Script für Tab-hover sieht bei mir so aus:


    Gruß
    graubaer


    *** Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. *** (Benjamin Franklin)

  • Ich habe gerade gesehen, dass mein Profilordner immer noch auf esr endet: bixxouaa.default-esr

    Könnte das Problem damit zusammenhängen?


    Dann solltest du mal ganz genau die nötigen Anpassungen dafür überprüfen.

    Ich habe meinen LT direkt neben mir und konnte so die Anpassungen überprüfen - kein Unterschied!

    Gruß
    graubaer


    *** Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. *** (Benjamin Franklin)

    Einmal editiert, zuletzt von graubaer () aus folgendem Grund: Ein Beitrag von graubaer mit diesem Beitrag zusammengefügt.

  • Ich habe inzwischen Firefox komplett gelöscht - Programm und Profilordner. Dann die aktuelle Version installiert und den Ordner "mozilla" unter Roaming gelöscht und den entsprechenden Ordner aus dem LT eingesetzt. Alles bestens!

    Danke für eure Hilfsbemühungen. :thumbup:

    Gruß
    graubaer


    *** Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. *** (Benjamin Franklin)

  • Ich habe auf dem Desktop meinen FF 68.12.0 ESR upgedatet auf 81.0 - kein ESR - (also drüberinstalliert)

    Aus meinem LT mit funktionierender Version 81.0 habe ich den Chrome-Ordner kopiert und ihn gegen den in der Desktop-Version ausgetauscht. Leider funktionieren hier aber die Scripte nicht. Liegt es vielleicht an einer generellen Einstellung? Bei der ESR-Version funktionierte eigentlich auch alles.

    ESR und Fx 81 sind unterschiedliche Release-Kanäle. Da es seit Fx 67 dedizierte Profile gibt, d. h. jede Firefox-Installation ein eigenes Profil verwendet, kannst du Fx 81 nicht mit dem ESR-Profil verwenden. Im neuen Profil ist dann entweder gar keine userChrome.js vorhanden oder eine mit viel Textzeilen, die alle auskommentiert sind. Vielleicht ist dann auch nicht einmal der Ordner chrome im Profil vorhanden. Das bedeutet, dass Skripte nicht funktionieren, obwohl die Anpassungen, die im Installationsverzeichnis für die Arbeit mit Skripten vorgenommen werden müssen, noch gültig sind, weil du das gleiche Installationsverzeichnis verwendest.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook